<%- include('../partials/header') %>
<h1><%= title %></h1>
  
<!--available to req.body object-->
<div id="editFormOuter">
  <div id="editFormInner">
    <form method="POST" enctype="multipart/form-data">
      <!-- Input names have to match the name of the fields in the mongo schema object -->
      <!-- Mapping is not automatic, but it's best practices -->
      <fieldset class="form-group">
        <label for="name" class="col-2">Name:</label>
        <input name="name" id="name" class="form-control" value="<%= plant.name %>"/>
      </fieldset>
      <fieldset class="form-group">
        <label for="image" class="col-2">Image:</label>
        <input type="file" name="image" id="image" class="form-control" accept=".jpg, .jpeg, .png" >
      </fieldset>
      <fieldset class="form-group">
        <label for="updateDate" class="col-2">Date Identified:</label>
        <input name="updateDate" id="updateDate" class="form-control" value="<%= plant.updateDate %>"/>
      </fieldset>
      <fieldset class="form-group">
        <label for="location" class="col-2">Location:</label>
        <input name="location" id="location" class="form-control" value="<%= plant.location %>"/>
      </fieldset>
      <!-- Display the selected location's coordinates -->
      <div id="coordinates"></div>
      <!-- Display the selected location's coordinates using Leaflet -->
      <div id="map" style="height: 300px;"></div>

      <!-- Button needs to be inside <form> element to trigger POST -->
      <button class="offset-3 btn btn-primary">Save</button>
    </form>
  </div>
</div>
<%- include('../partials/footer') %>